//############################################################################################################
//                                                                                                            
//   acadvar.dcl -    ,      AutoCAD     
//                                                                                                            
//    :   , , ,                                                   
//             Vasiltchenko                                                                                  
//                                                                                                            
//############################################################################################################


svr_filter  : boxed_row {
      label = "";
      fixed_width = true;
      : radio_button {
        label = " ";
        key = "0";
        fixed_width = true;
      }
      : column {
        : radio_row {
          children_fixed_width = true;
          : radio_button {
            label = "A";
            key = "A";
          }
          : radio_button {
            label = "B";
            key = "B";
          }
          : radio_button {
            label = "C";
            key = "C";
          }
          : radio_button {
            label = "D";
            key = "D";
          }
          : radio_button {
            label = "E";
            key = "E";
          }
          : radio_button {
            label = "F";
            key = "F";
          }
          : radio_button {
            label = "G";
            key = "G";
          }
          : radio_button {
            label = "H";
            key = "H";
          }
          : radio_button {
            label = "I";
            key = "I";
          }
          : radio_button {
            label = "J";
            key = "J";
          }
          : radio_button {
            label = "K";
            key = "K";
          }
          : radio_button {
            label = "L";
            key = "L";
          }
          : radio_button {
            label = "M";
            key = "M";
          }
        }
        : radio_row {
          children_fixed_width = true;
          : radio_button {
            label = "N";
            key = "N";
          }
          : radio_button {
            label = "O";
            key = "O";
          }
          : radio_button {
            label = "P";
            key = "P";
          }
          : radio_button {
            label = "Q";
            key = "Q";
          }
          : radio_button {
            label = "R";
            key = "R";
          }
          : radio_button {
            label = "S";
            key = "S";
          }
          : radio_button {
            label = "T";
            key = "T";
          }
          : radio_button {
            label = "U";
            key = "U";
          }
          : radio_button {
            label = "V";
            key = "V";
          }
          : radio_button {
            label = "W";
            key = "W";
          }
          : radio_button {
            label = "X";
            key = "X";
          }
          : radio_button {
            label = "Y";
            key = "Y";
          }
          : radio_button {
            label = "Z";
            key = "Z";
          }
        }
      }
    }


svr_acadvar_main : column {

  : row {

    : spacer {width = 1;}

    : boxed_column {
      label = "";
      fixed_width = true;
      fixed_height = true;
      : row {
        : button {
          label = "";
          key = "collection_all";
          fixed_width = true;
        }
        : text {
          label = " :";
          fixed_width = true;
        }
        : spacer {width = 1;}
      }
      : popup_list {
        key = "current_collection";
        edit_width = 40;
        edit_limit = 255;
        fixed_width = true;
        alignment = centered;
      }
      : row {
        : button {
          label = "";
          key = "create_collection";
        }
        : button {
          label = "";
          key = "edit_collection";
        }
        : button {
          label = "";
          key = "delete_collection";
        }
      }
    }

    : spacer {width = 1;}

    : boxed_column {
      label = "";
      fixed_width = true;
    
      : row {
        : edit_box {
          key = "str_search";
          edit_width = 50;
          edit_limit = 255;
        }
        : button {
          label = "[...]";
          key = "lst_search";
        }
        : edit_box {
          label = "";
          key = "step_search";
          edit_width = 4;
          edit_limit = 255;
        }
      }

      : row {
        : column {
          fixed_height = true;
          : toggle {
            label = " ";
            key = "search_name";
          }
          : toggle {
            label = " ";
            key = "search_description";
          }
        }
        : column {
          fixed_height = true;
          : toggle {
            label = " ";
            key = "whole_phrase";
          }
          : toggle {
            label = " ";
            key = "with_case";
          }
        }
        : button {
          key = "search";
          label = "";
        }
      }
    
    }

    : spacer {width = 1;}

  }

  : row {
    fixed_width = true;
    alignment = centered;

    svr_filter;

    : spacer {width = 1;}

    : boxed_column {
      fixed_width = true;
      label = "";
      : row {
        : button {
          label = "<<<<";
          key = "back";
        }
        : button {
          label = ">>>>";
          key = "forward";
        }
      }
      : row {
        : text {
          label = "";
          key = "length_step";
          width = 12;
        }
        : edit_box {
          fixed_width = true;
          key = "save_step";
          edit_width = 8;
          edit_limit = 255;
        }
      }
    }

  }

}

svr_acadvar_row_value : row {

          : column {
            : text {label = ":";}
            : text {label = " :";}
            : text {label = " :";}
            : text {}
          }
          : column {
            : row {
              : edit_box {
                key = "current_value";
                edit_width = 65;
                edit_limit = 255;
                fixed_width = true;
              }
              : button {
                key = "copy_current";
                label = "Copy";
              }
            }
            : row {
              : edit_box {
                key = "first_value";
                edit_width = 45;
                edit_limit = 255;
                fixed_width = true;
                is_enabled = false;
              }
              : button {
                key = "restore_first";
                label = "";
              }
              : button {
                key = "copy_first";
                label = "Copy";
              }
            }
            : row {
              : edit_box {
                key = "initial_value";
                edit_width = 45;
                edit_limit = 255;
                fixed_width = true;
              }
              : button {
                key = "restore_initial";
                label = "";
              }
              : button {
                key = "copy_initial";
                label = "Copy";
              }
            }
            : row {
              fixed_width = true;
              : text {
                label = "";      
                key = "type_svr";
                width = 22;
              }
              : popup_list {
                //fixed_width = true;
                label = ":";
                key = "where_saved";
                edit_width = 15;
                edit_limit = 255;
              }
              : spacer {width = 1;}
              //: text {
              //  label = "";
              //  key = "where_saved";
              //  width = 30;
              //}
              : text {
                label = "";
                key = "str_read_only";
                width = 15;
              }
            }
          }
}

svr_acadvar_name_action : row {

      : button {
        key = "restore_collection";
        label = "   -->";
      }
      : popup_list {
        key = "restore_popup";
        edit_width = 15;
        edit_limit = 255;
        fixed_width = true;
      }
      : spacer {width =1;}
      : button {
        key = "create_name";
        label = " ";
      }
      : spacer {width =1;}
      : button {
        key = "slide";
        label = "";
      }
      : button {
        key = "add_slide";
        label = "[...]";
      }
      : spacer {width =1;}
      : button {
        key = "edit_description";
        label = "";
      }
      : button {
        key = "reload_description";
        label = "<=>";
      }
}

svr_acadvar_down : column {

    : text {
      label = "";
      key = "errmsg";
    }
    
    : row {

      : spacer {width = 1;}
      : button {
        key = "save";
        label = "";
      }
      : button {
        key = "restore";
        label = "";
      }
      : button {
        key = "compare";
        label = "";
      }
      : spacer {width = 2;}
      : button {
        key = "print";
        label = " ";
      }
      : spacer {width = 2;}
      : button {
        key = "cancel";
        label = "";
        is_cancel = true;
      }
      : button {
        key = "help";
        label = " ?";
      }
      : spacer {width = 1;}
      : button {
        key = "logo";
        label = "";
        fixed_width = true;
      }

    }
}

//************************************************************
//   acadvar_dcl                                        
//                                                            
//   .                                          
//************************************************************

acadvar_dcl : dialog {

  label = "  ";
  initial_focus = "names";

  svr_acadvar_main;
    
  : boxed_column {
    label = "  ";

    : row {

      : column {
        : row {
          fixed_width = true;
          alignment = centered;
          : text {label = ": ";}
          : button {
            key = "copy_name";
            label = "Copy";
          }
        }
        : list_box {
          key = "names";
          height = 18;
          width = 25;
        }
      }

      : spacer {width = 1;}
      
      : column {

        svr_acadvar_row_value;
        
        : image {
          key = "warning_image";
          height = 0.3;
        }
        : list_box {
          label = ":";
          key = "description";
          height = 11;
          width = 97;
        }
      }
     
    }

    svr_acadvar_name_action;
    
  }

  svr_acadvar_down;
}

//************************************************************
//   acadvar_large_dcl                                  
//                                                            
//    (  1024x768  ).         
//************************************************************

acadvar_large_dcl : dialog {

  label = "  ";
  initial_focus = "names";

  svr_acadvar_main;
    
  : boxed_column {
    label = "  ";

    : row {

      : column {
        : row {
          fixed_width = true;
          alignment = centered;
          : text {label = ": ";}
          : button {
            key = "copy_name";
            label = "Copy";
          }
        }
        : list_box {
          key = "names";
          height = 28;
          width = 25;
        }
      }

      : spacer {width = 1;}
      
      : column {

        svr_acadvar_row_value;
        
        : image {
          key = "warning_image";
          height = 0.3;
        }
        : list_box {
          label = ":";
          key = "description";
          height = 20;
          width = 97;
        }
      }
     
    }

    svr_acadvar_name_action;
    
  }

  svr_acadvar_down;
}

//*************************************************************************
//*************************************************************************
//*************************************************************************
//*************************************************************************

svr_add_variable_header_column : column {

  : row {
    fixed_width = true;
    alignment = centered;
    : edit_box {
      label = " :";
      key = "name";
      edit_width = 30;
      edit_limit = 255;
    }
    : spacer {width = 1;}
    : popup_list {
      label = ":";
      key = "name_popup";
      edit_width = 20;
      edit_limit = 255;
    }
  }

  : spacer {height = 1;}

  : row {
    fixed_width = true;
    : popup_list {
      label = ":   ";
      key = "saved_popup";
      edit_width = 25;
      edit_limit = 255;
    }
    : edit_box {
      key = "saved_txt";
      edit_width = 25;
      edit_limit = 255;
    }
  }

  : edit_box {
    label = " :";
    key = "initial";
    edit_width = 54;
    edit_limit = 255;
    fixed_width = true;
  }

  : text {
    label = "";
    key = "curval";
  }
  : row {
    fixed_width = true;
    : text {
      label = "";
      key = "tpvr";
      width = 25;
    }
    : text {
      label = "";
      key = "rdon";
      width = 20;
    }
  }

  : row {
    fixed_width = true;
    alignment = right;
    : button {
      key = "add_slide";
      label = " ";
    }
    : spacer {width = 2;}
    : button {
      key = "description_cnange";
      label = " ";
    }
    : button {
      key = "description_reload";
      label = "<=>";
    }
  }
}

svr_add_variable_down_column : column {

  : boxed_row {
    label = " ";
    fixed_width = true;
    alignment = centered;
    : list_box {
      label = ":";
      key = "exist_collection";
      height = 10;
      width = 25;
    }
    : column {
      : spacer {height = 1;}
      : button {
        key = "include";
        label = " >>";
      }
      : button {
        key = "remove";
        label = "<< ";
      }
      : spacer {height = 1;}
      : button {
        key = "include_all";
        label = "  >>>>";
      }
      : button {
        key = "remove_all";
        label = "<<<<  ";
      }
      : spacer {height = 1;}
    }
    : list_box {
      label = "   :";
      key = "include_collection";
      height = 10;
      width = 25;
    }
  }

    : text {
      label = "";
      key = "errmsg";
    }

    : row {

      : spacer {width = 1;}
      : button {
        key = "next";
        label = "OK";
        width = 14;
      }
      : button {
        key = "add";
        label = "";
      }
      : spacer {width = 3;}
      : button {
        key = "cancel";
        label = "";
        is_cancel = true;
      }
      : button {
        key = "help";
        label = " ?";
      }
      : spacer {width = 1;}
      : button {
        key = "logo";
        label = "";
        fixed_width = true;
      }

    }
}

//************************************************************
//   add_variable_dcl                                   
//                                                            
//      .                   
//************************************************************

add_variable_dcl : dialog {

  label = "  ";

  svr_add_variable_header_column;

  : list_box {
    key = "description";
    height = 11;
    width = 97;
  }

  svr_add_variable_down_column;
 
}

//************************************************************
//   add_variable_large_dcl                             
//                                                            
//       (  1024x768  ).
//************************************************************

add_variable_large_dcl : dialog {

  label = "  ";

  svr_add_variable_header_column;

  : list_box {
    key = "description";
    height = 16;
    width = 97;
  }

  svr_add_variable_down_column;
 
}

//*************************************************************************
//*************************************************************************
//*************************************************************************
//*************************************************************************

svr_edit_collection_header_column : column {

  : row {
    fixed_width = true;
    alignment = centered;
    : edit_box {
      label = ":";
      key = "name";
      edit_width = 30;
      edit_limit = 255;
      is_tab_stop = false;
    }
    : spacer {width = 2;}
    : popup_list {
      label = " :";
      key = "name_popup";
      edit_width = 30;
      edit_limit = 255;
      is_tab_stop = false;
    }
  }

  : row {
    alignment = centered;
    fixed_width = true;
    svr_filter;
    : spacer {width = 5;}
    : boxed_row {
      label = "";
      fixed_height = true;
      : image_button {
        key = "undo";
        height = 2;
        width = 2;      
        color = dialog_background;
        is_tab_stop = false;
      }
      : image_button {
        key = "redo";
        height = 2;
        width = 2;      
        color = dialog_background;
        is_tab_stop = false;
      }
    }
  }
}

svr_edit_collection_right_row : row {

        fixed_width = true;


        : column {
          : spacer {height = 3;}
          : button {
            key = "add";
            label = ">>";
            is_tab_stop = false;
          }
          : button {
            key = "remove";
            label = "<<";
            is_tab_stop = false;
          }
          : spacer {height = 1;}
          : button {
            key = "add_all";
            label = ">>>>";
            is_tab_stop = false;
          }
          : button {
            key = "remove_all";
            label = "<<<<";
            is_tab_stop = false;
          }
          : spacer {height = 3;}
        }

        : list_box {
          label = " :";
          key = "collection_names";
          height = 18;
          width = 25;
        }

        : spacer {width = 1;}

        : column {
          : text {
            label = "-----------------------------------------------------------------------------------------------";
          }
          : text {label = ":";}
          : text {
            label = "";
            key = "curval";
          }
          : spacer {height = 1;}
          : text {label = " :";}
          : text {
            label = "";
            key = "frtval";
          }
          : spacer {height = 1;}
          : text {label = " :";}
          : text {
            label = "";
            key = "intval";
          }
          : spacer {height = 1;}
          : text {
            label = "";
            key = "tpvr";
          }
          : text {
            label = "";
            key = "whsv";
          }
          : text {
            label = "";
            key = "rdon";
          }
        }

}

svr_edit_collection_down_column : column {

    : text {
      label = "";
      key = "errmsg";
    }

    : row {

      : spacer {width = 1;}
      : button {
        key = "next";
        label = "OK";
        width = 14;
        is_tab_stop = false;
      }
      : button {
        key = "apply";
        label = "";
        is_tab_stop = false;
      }
      : spacer {width = 3;}
      : button {
        key = "cancel";
        label = "";
        is_cancel = true;
        is_tab_stop = false;
      }
      : button {
        key = "help";
        label = " ?";
        is_tab_stop = false;
      }
      : spacer {width = 1;}
      : button {
        key = "logo";
        label = "";
        fixed_width = true;
      }

    }
}

//************************************************************
//   edit_collection_dcl                                
//                                                            
//      .                   
//************************************************************

edit_collection_dcl : dialog {

  label = "  ";
  initial_focus = "all_names";

  svr_edit_collection_header_column;

  : row {

    : list_box {
      label = " :";
      key = "all_names";
      height = 29;
      width = 25;
    }

    : column {

      svr_edit_collection_right_row;
      
      : list_box {
        label = ":";
        key = "description";
        height = 11;
        width = 97;
        is_tab_stop = false;
      }
     
    }
    
  }

  svr_edit_collection_down_column;

}

//************************************************************
//   edit_collection_large_dcl                          
//                                                            
//       (  1024x768  ).
//************************************************************

edit_collection_large_dcl : dialog {

  label = "  ";
  initial_focus = "all_names";

  svr_edit_collection_header_column;

  : row {

    : list_box {
      label = " :";
      key = "all_names";
      height = 35;
      width = 25;
    }

    : column {

      svr_edit_collection_right_row;
      
      : list_box {
        label = ":";
        key = "description";
        height = 17;
        width = 97;
        is_tab_stop = false;
      }
     
    }
    
  }

  svr_edit_collection_down_column;

}

//************************************************************
//   list_str_search_dcl                                
//                                                            
//      .                          
//************************************************************

list_str_search_dcl : dialog {

  label = "  ";

  : list_box {
    key = "lst_str_search";
    height = 17;
    width = 48;
    is_default = true;
  }
     
    : row {

      : button {
        key = "select";
        label = "";
      }
      : button {
        key = "clear";
        label = "";
      }
      : button {
        key = "cancel";
        label = "";
        is_cancel = true;
      }
      : button {
        key = "logo";
        label = "";
        fixed_width = true;
      }

    }
}

//************************************************************
//   view_image_dcl                                     
//                                                            
//     .                             
//************************************************************

view_image_dcl : dialog {

  //label = "  DIMATFIT";
  label = "";
  key  = "header";

  : image {
    color = dialog_background;
    key = "image";
    width = 50;
    height = 15;
  }

  : spacer {height = 1;}

  : button {
    key = "accept";
    label = "  OK  ";
    is_cancel = true;
    is_default = true;
    fixed_width = true;
    alignment = centered;
  }
}


//************************************************************
//   svr_print_dcl                                      
//                                                            
//       .            
//************************************************************

svr_print_dcl : dialog {

  label = "   ";

  : row {
    : image_button {
      key = "zoom_in";
      height = 2;
      width = 2;      
      color = dialog_background;
    }
    : image_button {
      key = "zoom_out";
      height = 2;
      width = 2;      
      color = dialog_background;
    }
    : image_button {
      key = "zoom_ext";
      height = 2;
      width = 2;      
      color = dialog_background;
    }
    : image_button {
      key = "zoom_real";
      height = 2;
      width = 2;      
      color = dialog_background;
    }
    : spacer {width = 73;}
  }
  
  : row {
    fixed_width = true;
    alignment = centered;
    : popup_list {
      label = ":";
      key = "printer_name";
      edit_width = 70;
      edit_limit = 255;
    }
    : button {
      key = "preview";
      label = "";
    }
  }

  : boxed_column {
    label = " ";
    fixed_width = true;
    alignment = centered;

    : row {
      key = "sizes";

      : boxed_column {
        label = " ";
        : row {
          : spacer {width = 1;}
          : text {label = "(%)";}
          : spacer {width = 1;}
          : text {label = "()";}
          : spacer {width = 1;}
          : toggle {
            label = "";
            key = "prorata";
          }
        }
        : row {
          : edit_box {
            label = "X:";
            key = "xsize_pc";
            edit_width = 7;
            edit_limit = 255;
          }
          : edit_box {
            key = "xsize";
            edit_width = 8;
            edit_limit = 255;
          }
          : text {label = "";}
          : edit_box {
            key = "xsize_all";
            edit_width = 10;
            edit_limit = 255;
            is_enabled = false;
          }
        }
        : row {
          : edit_box {
            label = "Y:";
            key = "ysize_pc";
            edit_width = 7;
            edit_limit = 255;
          }
          : edit_box {
            key = "ysize";
            edit_width = 8;
            edit_limit = 255;
          }
          : text {label = "";}
          : edit_box {
            key = "ysize_all";
            edit_width = 10;
            edit_limit = 255;
            is_enabled = false;
          }
        }
      }

      : spacer {width = 1;}

      : boxed_column {
        label = " ";
        : row {
          alignment = centered;
          fixed_width = true;
          : toggle {
            label = " ";
            key = "center_orient";
          }
          : button {
            key = "move";
            label = " ";
          }
        }
        : edit_box {
          label = " X ():";
          key = "x_orient";
          edit_width = 19;
          edit_limit = 255;
        }
        : edit_box {
          label = " Y ():";
          key = "y_orient";
          edit_width = 19;
          edit_limit = 255;
        }
      }

    }

    : row {
      key = "header_other";
    
      : boxed_column {
        label = "";
        : popup_list {
          label = " :";
          key = "header_style";
          edit_width = 15;
          edit_limit = 255;
        }
        : edit_box {
          label = "  ():";
          key = "header_font";
          edit_width = 15;
          edit_limit = 255;
        }
      }
      
      : spacer {width = 1;}
      
      : boxed_column {
        label = " ";
        : popup_list {
          label = " :";
          key = "other_style";
          edit_width = 15;
          edit_limit = 255;
        }
        : edit_box {
          label = "  ():";
          key = "other_font";
          edit_width = 15;
          edit_limit = 255;
        }
      }

    }
    : row {
      fixed_width = true;
      alignment = centered;
      : button {
        label = "/  : -->";
        key = "style";
      }
      : popup_list {
        key = "style_popup";
        edit_width = 20;
        edit_limit = 255;
      }
    }
      
  }

  : row {
      fixed_width = true;
      alignment = centered;
  
    : boxed_column {
      label = "  ";
      : toggle {
        label = " ";
        key = "act_colnm";
        alignment = centered;
        fixed_width = true;
      }
      : row {
        : column {
          : toggle {
            label = " AutoCAD";
            key = "act_acadver";
          }
          : toggle {
            label = " ";
            key = "act_flnm";
          }
        }
        : column {
          : toggle {
            label = "  ";
            key = "act_date";
          }
          : toggle {
            label = " ";
            key = "act_nmblst";
          }
        }
      }
    }

    : spacer {width = 1;}

    : boxed_radio_column {
      label = "";
      key = "actions";
      : radio_button {
        label = "   ";
        key = "action0";
      }
      : radio_button {
        label = "    ";
        key = "action1";
      }
      : radio_button {
        label = "    ";
        key = "action2";
      }
    }

  }

  : spacer {height = 1;}
  
    : row {

      : button {
        key = "print";
        label = "";
        is_default = true;
      }
      : edit_box {
        key = "nmbcopy";
        edit_width = 5;
        edit_limit = 255;
        fixed_width = true;
      }
      : spacer {width = 1;}
      
      : button {
        label = "  *.xls";
        key = "saveas";
      }
      : spacer {width = 1;}
      
      : button {
        key = "cancel";
        label = "";
        is_cancel = true;
      }
      : button {
        key = "help";
        label = " ?";
      }
      : spacer {width = 1;}
      
      : button {
        key = "logo";
        label = "";
        fixed_width = true;
      }

    }
}

//************************************************************
//   svr_setup_1                                        
//                                                            
//   -  .                      
//************************************************************

svr_setup_1 : dialog {
  width = 100;
  height = 35;
  fixed_width = true;
  fixed_height = true;

  label = "ACADVar -  ";

  : spacer {height = 1;}
  
  : text {label = ",    .  ";}
  : text {label = "    Page Down    .";}

  : list_box {
    key = "license";
    height = 20;
  }

  : spacer {height = 1;}
  
  : radio_column {
    fixed_width = true;
    alignment = centered;
    : radio_button {
      key = "agree";
      label = "    ";
    }
    : radio_button {
      key = "not_agree";
      label = "     ";
    }
    : radio_button {
      key = "third_agree";
      label = " ";
    }
  }

  : spacer {height = 1;}
  
    : row {
      fixed_width = true;
      alignment = right;

      : button {
        key = "back";
        label = "< ";
      }
      : button {
        key = "next";
        label = " >";
        is_default = true;
      }
      : spacer {width = 1;}
      : button {
        key = "cancel";
        label = "";
        is_cancel = true;
      }
    }
}

//************************************************************
//   svr_setup_2                                        
//                                                            
//   -  .                          
//************************************************************

svr_setup_2 : dialog {
  width = 100;
  height = 35;
  fixed_width = true;
  fixed_height = true;

  label = "ACADVar -  ";

  : spacer {height = 1;}
  
  : text {label = " ,       ACADVar,";}
  : text {label = "  .";}
  : spacer {height = 1;}

  : boxed_column {
    fixed_width = true;
    alignment = centered;
    label = "  ";
    : text {label = "    ,       ";}
    : text {label = "  ,      AutoCAD    .";}
    : text {label = "      ,     SVR.";}
    //: text {label = "";}
    //: spacer {height = 1;}
    : row {
      fixed_width = true;
      alignment = centered;
      : toggle {
        label = " ";
        key = "popup";
      }
     : toggle {
        label = " ";
        key = "toolbar";
      }
    }
  }
  
  : spacer {height = 1;}

  : boxed_column {
    fixed_width = true;
    alignment = centered;
    label = "  ";
    : text {label = "    ,      ACADVar,";}
    : text {label = "        AutoCAD.   ";}
    //: text {label = "  AutoCAD.     ";}
    : text {label = "      ACADVar   .";}
    : spacer {height = 1;}
    : row {
      : column {
        : toggle {
          label = "  ActiveX";
          key = "activex";
        }
        : toggle {
          label = "  ";
          key = "loadd";
        }
        : toggle {
          label = "   ";
          key = "allvar";
        }
      }
      : column {
        fixed_height = true;
        : toggle {
          label = "ACADVar   AutoCAD";
          key = "header";
        }
        : toggle {
          label = "ACADVar   ";
          key = "right_click";
        }
      }
    }
    : row {
      fixed_width = true;
      : column {
        : toggle {
          label = "      ";
          key = "control_changes";
        }
        : toggle {
          label = "     AutoCAD";
          key = "versions";
        }
      }
      : button {
        label = "...";
        key = "dop_setup";
      }
    }
  }
  
  : spacer {height = 1;}
  
    : row {
      fixed_width = true;
      alignment = right;

      : button {
        key = "help";
        label = " ?";
      }
      : spacer {width = 5;}
      : button {
        key = "back";
        label = "< ";
      }
      : button {
        key = "next";
        label = " >";
        is_default = true;
      }
      : spacer {width = 1;}
      : button {
        key = "cancel";
        label = "";
        is_cancel = true;
      }
    }
}

//************************************************************
//   svr_setup_3                                        
//                                                            
//   -   .           
//************************************************************

svr_setup_3 : dialog {
  width = 100;
  height = 35;
  fixed_width = true;
  fixed_height = true;

  label = "ACADVar -   ";

  : spacer {height = 1;}
  
  : text {label = "      ACADVar.   ";}
  : text {label = " ,  ,      ";}
  : text {label = " .";}

  : list_box {
    key = "parameters";
    height = 25;
    is_enabled = false;
  }

  : spacer {height = 1;}
  
    : row {
      fixed_width = true;
      alignment = right;

      : button {
        key = "back";
        label = "< ";
      }
      : button {
        key = "next";
        label = "";
        is_default = true;
      }
      : spacer {width = 1;}
      : button {
        key = "cancel";
        label = "";
        is_cancel = true;
      }
    }
}

//************************************************************
//   svr_uninstall                                      
//                                                            
//    .                           
//************************************************************

svr_uninstall : dialog {
    label = "  ACADVar";
    : spacer { height = 1; }
    : text {
      label = "     ACADVar ?";
      fixed_width = true;
      alignment = centered;
    }
    : spacer { height = 1; }
    : row {
      fixed_width = true;
      alignment = centered;
       : button {
         key = "yes";
         label = "";
         is_default = true;
         width = 15;
       }
       : spacer { width = 2; }
       : button {
         key = "no";
         label = "";
         is_cancel = true;
         width = 15;
       }
   }
}

//************************************************************
//   svr_dopsetup                                       
//                                                            
//       .
//************************************************************

svr_dopsetup : dialog {
    label = "    ACADVar";
    : spacer { height = 1; }
    : text {label = "     ,     ";}
    : text {label = " \"      \".";}
    : text {label = " \" \"    ,  ";}
    : text {label = "    . , NEW, OPEN  ..";}
    : spacer { height = 1; }

    : boxed_row {
      label = "  ";
      fixed_width = true;
      alignment = centered;
      
      : column {
        fixed_height = true;
        : text {label = " :";}
        : edit_box {
          key = "command";
          edit_width = 25;
          edit_limit = 255;
        }
      }

      : spacer { width = 1; }
       
      : column {
        fixed_height = true;
        : button {
          key = "add";
          label = ">>";
        }
        : button {
          key = "remove";
          label = "<<";
        }
        : spacer { height = 1; }
        : button {
          key = "remove_all";
          label = "<<<<";
        }
      }
      
      : spacer { width = 1; }

      : list_box {
        label = " :";
        key = "lst_command";
        height = 15;
        width = 30;
      }
       
    }
    
    : spacer { height = 1; }
    : row {
       : button {
         key = "ok";
         label = "  OK  ";
       }
       : button {
         key = "apply";
         label = "";
       }
       : spacer { width = 1; }
       : button {
         key = "restore";
         label = " ";
       }
       : spacer { width = 1; }
       : button {
         key = "cancel";
         label = "";
         is_default = true;
         is_cancel = true;
       }
       : button {
         key = "help";
         label = " ?";
       }
   }
}


